﻿//previous page id, current page id
var prevPid = '', curPid = '';
//save opened frame name
var frameArr = [];

//frame whether open
function isOpened(frmName){
    var i = 0, len = frameArr.length;
    var mark = false;
    for(i; i<len; i++){
        if(frameArr[i] === frmName){
            mark = true;
            return mark;
        }
    }
    return mark;
}

//toggle header
function showHeader(type){
    if(!type){return;}
    var header = $api.dom('#header .active');
    $api.removeCls(header,'active');
    var thisHeader = $api.dom('#header .'+type);
    $api.addCls(thisHeader,'active');
}


//open tab
function openTab(type,tid){
    
    if(type === 'user'){
    	var header = $api.dom('#header active');
    	$api.removeCls(header,'active');
    	
	    var thisHeader = $api.dom('#header .main');
    	$api.addCls(thisHeader,'active');
    	
    	//login
	    var uid = $api.getStorage('uid');
		if(!uid){
			api.openWin({
		        name: 'userLogin',
		        url: './html/login.html',
		        opaque: true,
		        vScrollBarEnabled:false
		    });
		    return;
		}
    }
    
    
    showHeader(type);
    var width = api.winWidth;
    var nav = $api.byId('nav');
    var navPos = $api.offset(nav);
    var header = $api.byId('header');
    var headerPos = $api.offset(header);
    var height = api.winHeight - navPos.h - headerPos.h;
    
    //type = type || 'main';

    var actTab = $api.dom('#nav .active');
    $api.removeCls(actTab,'active');
    var thisTab = $api.dom('#nav .'+ type);
    thisTab = thisTab.parentNode;
    $api.addCls(thisTab,'active');
	
    //record page id
    prevPid = curPid;
    curPid = type;
    if(prevPid !== curPid){

        // alert(type+':'+isOpened(type));
    
        if(isOpened(type)){
            api.setFrameAttr({
                name: type,
                hidden: false
            });
        }else{
            api.openFrame({
                name: type,
                url: 'html/'+ type +'.html',
                bounces: true,
                opaque: true,
                vScrollBarEnabled: false,
                pageParam:{ headerHeight: headerPos.h,tid:tid},
                
                rect: {
                    x: 0,
                    y: headerPos.h,
                    w: width,
                    h: height
                }
            });
        }

        if(prevPid){
            api.setFrameAttr({
                name: prevPid,
                hidden: true
            });
            
        }

        if(!isOpened(type)){
            //save frame name
            frameArr.push(type);
        }
        
    }
    
}

function exitApp(){
        api.addEventListener({
            name: 'keyback'
        }, function(ret, err){
            api.toast({
                    msg: '再按一次返回键退出应用',
                    duration:2000,
                    location: 'bottom'
                });
                

                api.addEventListener({
                    name: 'keyback'
                }, function(ret, err){
                    api.closeWidget({
                            id: 'A6994645147479',     //这里改成自己的应用ID
                            retData: {name:'closeWidget'},
                            silent:true
                        });
                });
                
                setTimeout(function(){
                        exitApp();
                },3000);
        });
}

function openWin2(type){
	api.openWin({
	    name: type,
	    url: './html/'+type+'.html'
    });
}

function search(){
		var con = $api.byId('keywords');
		var keywords = $api.val(con);
		if(keywords.length < 1){
			api.toast({
	            msg:'请输入搜索关键字',
	            duration:2000,
	            location: 'middle'
            });
            return false;
		}else{
			api.openWin({
	            name: 'search',
	            url: './html/search_show.html',
	            pageParam: {keywords: keywords},
            });
		}
	}

apiready = function(){
	    var header = $api.byId('header');
	    $api.fixIos7Bar(header);
	    
    	openTab('home','548ec1e708d4718e7d771bbe');
    	
		//status bar style
	    api.setStatusBarStyle({
	        style: 'light'
	    });
	    
	    
	    api.addEventListener({
	        name: 'keyback'
	    }, function(ret, err){
	    	exitApp();
	    });
	    
	    
	
    
};